---

- name: (shell.yml) Set default VIM configuration - file /etc/vim/vimrc exists
  copy:
    src: "{{ item }}"
    dest: /etc/vim/vimrc
    owner: root
    group: root
    mode: '0644'
  with_fileglob: "etc/vim/vimrc"
  tags:
    - shell-config
    - vim-config

- name: (shell.yml) Set default VIM configuration - file /etc/vim/vimrc.local exists
  copy:
    src: "{{ item }}"
    dest: /etc/vim/vimrc.local
    owner: root
    group: root
    mode: '0644'
  with_fileglob: "etc/vim/vimrc.local"
  tags:
    - shell-config
    - vim-config


#- name: (shell.yml) Set default ZSH configuration - file /etc/zsh/zshrc
#  copy:
#    src: "{{ item }}"
#    dest: /etc/zsh/zshrc
#    owner: root
#    group: root
#    mode: '0644'
#  with_fileglob: "etc/zsh/zshrc"
#  tags:
#    - shell-config
#    - zsh-config
